=== debian/changelog ===
cups (1.5.3-5+deb7u2) stable; urgency=low

  * Add patch to fix hungarian templates syntax typos (Closes: #737709)
  * Import upstream patch to fix XSS in the CUPS webinterface (STR #4356),
    fixes CVE-2014-2856

 -- Didier Raboud <odyx@debian.org>  Sat, 03 May 2014 15:24:00 +0200

cups (1.5.3-5+deb7u1) stable; urgency=low

  [ Tim Waugh ]
  * dnssd backend: don't crash if avahi gives a callback with no TXT
    record (Closes: #722886)

 -- Didier Raboud <odyx@debian.org>  Fri, 27 Sep 2013 19:53:20 +0200

cups (1.5.3-5) unstable; urgency=low

  * Team upload
    - Rebuild against a fixed libmagic1 (see #703274).
    - Non-NMU version, above all past 1.5.x experimental versions.

  * Uploaders:
    - Remove Kenshi Muto <kmuto@debian.org> with his agreement and with
      great thanks for his past work!
    - Add myself.

 -- Didier Raboud <odyx@debian.org>  Mon, 18 Mar 2013 15:23:04 +0100

cups (1.5.3-2.16) unstable; urgency=low

  * Backport upstream documentation fix for STR#4223 "lpadmin to root
    privilege escalation"
  * Correct usb-backend quirk for Epson Stylus Photo 750, thanks to
    Denis Prost (Closes: #697970)

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Mar 2013 10:18:37 +0100

cups (1.5.3-2.15) unstable; urgency=low

  [ Till Kamppeter ]
  * Update airprint-support.patch to make AirPrint support also work for
    iOS 6. (Closes: #700961, LP: #1054495) - thanks to Jan Wagner.

  [ Didier Raboud ]
  * Add usb-backend quirk for Epson Stylus Photo 750 (Closes: #697970)

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Feb 2013 12:59:30 +0100

cups (1.5.3-2.14) unstable; urgency=low

  * Add upstream patch to avoid using Kerberos over the local socket.
    Avoids having the hplip-cups upgrade asking for a root password
    during upgrade (Closes: #640939).
  * Fix Japanese and Russian templates translations typos (Closes: #698521)

 -- Didier Raboud <odyx@debian.org>  Sun, 20 Jan 2013 17:20:16 +0100

cups (1.5.3-2.13) unstable; urgency=low

  [ Helge Kreutzmann ]
  * Update German manpage translation (Closes: #697860).

  [ Didier Raboud ]
  * Also refresh the po4a translations infrastructure.

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Jan 2013 10:30:13 +0100

cups (1.5.3-2.12) unstable; urgency=low

  [ Julien Cristau ]
  * In the dbus UTF8 checker:
    - Make sure to reset the buffer correctly.

 -- Didier Raboud <odyx@debian.org>  Sun, 30 Dec 2012 14:12:20 +0100

cups (1.5.3-2.11.1) unstable; urgency=low

  * Re-upload without spurious debian-changes-* patch.

 -- Didier Raboud <odyx@debian.org>  Sat, 29 Dec 2012 12:38:55 +0100

cups (1.5.3-2.11) unstable; urgency=low

  [ Julien Cristau ]
  * In the dbus UTF8 checker:
    - Use C.UTF-8 instead of not-certainly-available en_US.UTF-8; make
      cups depend on libc-bin (>= 2.13).
    - Make sure the buffer is really big enough.

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Dec 2012 13:41:27 +0100

cups (1.5.3-2.10) unstable; urgency=low

  * Backport more upstream configuration split fixes:
    - Fix cupsctl man page
    - Generate and install cups-files.conf online help.
    - Fix "-t" operation that shows correct filename.
    - Use syslog for startup errors.
    - Fix installation of cupsd.conf: need to use ConfigurationFile and not
      ServerRoot/cupsd.conf.
    - Check permissions of ConfigurationFile and CupsFilesFile: should be
      ConfigFilePerm.

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Dec 2012 15:33:27 +0100

cups (1.5.3-2.9) unstable; urgency=low

  [ Didier Raboud ]
  * In the configuration file split patch:
    - Include 'FileDevice warning fix in ipp.c:add_printer()' from Tim
      Waugh (RedHat).
    - Drop pure-comment part.
  * Remove cupsd.conf during purge too. (Closes: #695337)

  [ Bernard Massot ]
  * Fix lpa{t,d}min typo in cups.NEWS.

 -- Didier Raboud <odyx@debian.org>  Fri, 07 Dec 2012 11:41:51 +0100

cups (1.5.3-2.8) unstable; urgency=low

  * Bugfix the configuration stanzas split: it left some possibilities
    to have configuration stanzas taken from the wrong file.
    - Refresh affected patches too.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Dec 2012 17:10:04 +0100

cups (1.5.3-2.7) unstable; urgency=low

  * Backport upstream configuration files split to address CVE-2012-5519.
    - Add split-configuration-files-STR4223.patch
    - Refresh affected patches:
     - cups-deviced-allow-device-ids-with-newline.patch
     - default_log_settings.patch
     - pidfile.patch
     - reactivate_recommended_driver.patch
     - removecvstag.patch
     - tests-ignore-usb-crash.patch
    - Install the new cups-files.conf
    Fixes: CVE-2012-5519 (Closes: #692791)
  * Make cupsd.conf a non-conffile, as it is managed by cups itself.
    - On new installs, set it up from cupsd.conf.default.
    - On upgrades, move it away in preinst and move it back in postinst.
    - On aborted upgrades, move the file back in place.
  * Document the split in cups.NEWS.
  * Update translations for new manpage, install it.
  * Put under Debian Printing Team umbrella.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Dec 2012 12:13:14 +0100

cups (1.5.3-2.6) unstable; urgency=low

  * Import more fixes:
    - From RedHat:
      * USB backend quirk rule for Xerox Phaser 3124 (and maybe others).
        (STR #4217)
      * Ensure attributes are valid UTF-8 in dbus notifier.
        (RedHat #863387, STR #4219)
    - From upstream:
      * Fix to properly send cancel requests to printers not supporting
        Create-Job.
      * Fix to work around broken 1284 device IDs that use a newline
        instead of a semicolon.
      * Fix to avoid letting the IPP backend stuck in an endless loop on
        certain network errors. (STR #4194)
   * Tighten all internal dependencies on libcups2 to avoid any version
     disparity. (Closes: #668662)

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Nov 2012 16:26:25 +0100

cups (1.5.3-2.5) unstable; urgency=low

  * Furhter tighten cups dependency on libcups2. (Closes: #668662)


