=== debian/control ===
Source: cups
Standards-Version: 3.9.3
Priority: optional
Section: net
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: 
 Masayuki Hatta (mhatta) <mhatta@debian.org>,
 Till Kamppeter <till.kamppeter@gmail.com>,
 Roger Leigh <rleigh@debian.org>, 
 Jeff Licquia <licquia@debian.org>,
 Martin Pitt <mpitt@debian.org>,
 Didier Raboud <odyx@debian.org>
Build-Depends: 
 cdbs (>= 0.4.93~),
 debhelper (>= 8.1.3~),
 dpkg-dev (>= 1.16.1~),
 patch,
 autoconf, 
 automake, 
 libtool,
 autotools-dev,
 pkg-config,
 ghostscript (>= 9.02~),
 libavahi-client-dev,
 libavahi-common-dev,
 libavahi-compat-libdnssd-dev,
 libdbus-1-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libgnutls-dev, 
 libijs-dev,
 libjpeg-dev,
 libldap2-dev,
 libkrb5-dev,
 libpam0g-dev,
 libpaper-dev,
 libpng-dev | libpng12-dev, 
 libslp-dev,
 libtiff-dev,
 libusb-1.0-0-dev [!hurd-any], 
 po4a (>= 0.31~),
 po-debconf,
 poppler-utils, 
 sharutils,
 zlib1g-dev
Homepage: http://www.cups.org
Vcs-Git: git://anonscm.debian.org/pkg-cups/cups.git -b master-wheezy
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cups/cups.git;a=summary

Package: libcups2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cups-common
Provides: libcupsys2
Conflicts: libcupsys2
Replaces: libcupsys2
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Core library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared libraries for CUPS.

Package: libcupsimage2
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Raster image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the image libraries for handling the CUPS
 raster format.

Package: libcupscgi1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for CGI programs in the
 CUPS web interface

Package: libcupsdriver1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - Driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library with useful functions for printer
 drivers.

Package: libcupsmime1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Breaks: cups (<< 1.5.0)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides a shared library for file type detection and
 file conversion filter chain building.

Package: libcupsppdc1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Common UNIX Printing System(tm) - PPD manipulation library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the base shared library for generating and
 manipulating PPD files.

Package: cups
Priority: optional
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libc-bin (>= 2.13),
 debconf (>= 1.2.9) | debconf-2.0,
 poppler-utils (>= 0.12),
 procps,
 ghostscript (>= 9.02~),
 lsb-base (>= 3),
 cups-common (>= ${source:Upstream-Version}), 
 cups-client (>= ${binary:Version}),
 libcups2 (= ${binary:Version}),
 ssl-cert (>= 1.0.11),
 adduser,
 bc,
 cups-ppdc,
 cups-filters
Recommends: avahi-daemon,
 colord,
 foomatic-filters (>= 4.0), 
 printer-driver-gutenprint,
 ghostscript-cups (>= 9.02~)
Suggests: cups-bsd,
 foomatic-db-compressed-ppds | foomatic-db,
 printer-driver-hpcups,
 hplip,
 cups-pdf,
 udev,
 smbclient
Replaces: cupsddk-drivers (<< 1.4.0), ghostscript-cups (<< 9.02~)
Provides: cupsddk-drivers
Breaks: cupsddk-drivers (<< 1.4.0), foomatic-filters (<< 4.0), ghostscript-cups (<< 9.02~)
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - server
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the CUPS scheduler/daemon and related files.

Package: cups-client
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-common (>= ${source:Upstream-Version}),
 libcups2 (= ${binary:Version}),
 adduser
Recommends: smbclient
Suggests: cups, xpp, cups-bsd
Conflicts: lprng
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - client programs (SysV)
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the System V style print client programs.

Package: libcups2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcups2 (= ${binary:Version}), 
 libgnutls-dev,
 libkrb5-dev
Provides: libcupsys2-dev
Description: Common UNIX Printing System(tm) - Development files CUPS library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CUPS-aware
 applications and CUPS drivers, as well as examples how to communicate
 with cups from different programming languages (Perl, Java, and
 PHP).

Package: libcupsimage2-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libcupsimage2 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}), 
 libpng-dev,
 libtiff-dev,
 libjpeg8-dev | libjpeg-dev,
 zlib1g-dev
Description: Common UNIX Printing System(tm) - Development files CUPS image library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing applications
 that use the CUPS raster image format.

Package: libcupscgi1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcupscgi1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files for CGI library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing CGI programs
 for the CUPS web interface using libcupscgi.

Package: libcupsdriver1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcupsdriver1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version}),
 libcupsimage2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files driver library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing printer drivers
 using libcupsdriver.

Package: libcupsmime1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcupsmime1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files MIME library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsmime.

Package: libcupsppdc1-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcupsppdc1 (= ${binary:Version}),
 libcups2-dev (= ${binary:Version})
Description: Common UNIX Printing System(tm) - Development files PPD library
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for 
 handling various document types.
 .
 This package provides the files necessary for developing programs
 using libcupsppdc.

Package: cups-bsd
Priority: extra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 cups-client (= ${binary:Version}),
 debconf | debconf-2.0,
 update-inetd,
 cups-common
Suggests: cups
Conflicts: lpr, lprng
Replaces: lpr
Provides: lpr
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - BSD commands
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpr, lpd and the like.  It supports the
 Internet Printing Protocol (IPP), and has its own filtering driver
 model for handling various document types.
 .
 This package provides the BSD commands for interacting with CUPS.  It
 is provided separately to allow CUPS to coexist with other printing
 systems (to a small degree).

Package: cups-common
Priority: optional
Section: net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Common UNIX Printing System(tm) - common files
 The Common UNIX Printing System (or CUPS(tm)) is a printing system and 
 general replacement for lpd and the like.  It supports the Internet 
 Printing Protocol (IPP), and has its own filtering driver model for
