=== debian/watch ===
version=3
http://ftp.easysw.com/pub/cups/([\d\.]+)/cups-(.*)-source\.tar\.bz2 \
	debian uupdate --no-symlink
